% makeSurf(xx, yy, zz, varargin)

function makeSurf(xx, yy, zz, varargin)

  zz = reshape(zz, size(xx));
  
  clf
  surf(xx,yy, zz)
  hold on
  contour(xx,yy, zz, [0,0], 'k')
  hold off
  view(2)
  shading interp
  if nargin > 3
    title(sprintf(varargin{:}));
  end
